package org.usfirst.frc.team3501.robot.commands.auton;

import org.usfirst.frc.team3501.robot.Constants;
import org.usfirst.frc.team3501.robot.Constants.Defense;
import org.usfirst.frc.team3501.robot.commands.shooter.Shoot;

import edu.wpi.first.wpilibj.command.CommandGroup;
import edu.wpi.first.wpilibj.command.WaitCommand;

/**
 * The default autonomous strategy involves passing the defense that is in front
 * of it, aiming the robot/ shooter towards the goal, and shooting.
 */

public class DefaultAutonStrategy extends CommandGroup {

  public DefaultAutonStrategy(int position, Defense defense) {

    if (defense == Constants.Defense.PORTCULLIS)
      addSequential(new LiftPortcullis());

    else if (defense == Constants.Defense.SALLY_PORT)
      addSequential(new PassSallyPort());

    else if (defense == Constants.Defense.ROUGH_TERRAIN)
      addSequential(new PassRoughTerrain());

    else if (defense == Constants.Defense.LOW_BAR)
      addSequential(new PassLowBar());

    else if (defense == Constants.Defense.CHEVAL_DE_FRISE)
      addSequential(new PassChevalDeFrise());

    else if (defense == Constants.Defense.DRAWBRIDGE)
      addSequential(new PassDrawBridge());

    else if (defense == Constants.Defense.MOAT)
      addSequential(new PassMoat());

    else if (defense == Constants.Defense.ROCK_WALL)
      addSequential(new PassRockWall());

    else if (defense == Constants.Defense.RAMPART)
      addSequential(new PassRampart());

    addSequential(new AlignToScore(position));
    // TODO: test for how long robot should wait
    addSequential(new WaitCommand(5.0));
    addSequential(new Shoot());

  }

}
