package org.usfirst.frc.team3501.robot.commands.auton;

import org.usfirst.frc.team3501.robot.Constants;
import org.usfirst.frc.team3501.robot.commands.driving.DriveDistance;
import org.usfirst.frc.team3501.robot.commands.driving.DriveForTime;

import edu.wpi.first.wpilibj.command.CommandGroup;

/***
 * This command will drive the robot through the low bar.
 *
 * dependency on sensors: encoders
 * dependency on subsystems: drivetrain
 * dependency on other commands: DriveForDist
 *
 * pre-condition: robot is flush against the ramp of the outerworks in front of
 * the low bar
 *
 * post-condition: the robot has passed the low bar and is in the next zone
 *
 * @author Meryem and Avi
 *
 */

public class PassLowBar extends CommandGroup {

  public PassLowBar() {
    if (Constants.Auton.IS_USING_TIME) {
      addSequential(new DriveForTime(Constants.Auton.PASS_LOW_BAR_TIME,
          Constants.Auton.PASS_LOW_BAR_SPEED));
    }
    else {
      addSequential(new DriveDistance(
          Constants.Auton.PASS_LOW_BAR_DIST,
          Constants.DriveTrain.PASS_DEFENSE_TIMEOUT));
    }
  }
}
