package org.usfirst.frc.team3501.robot.commands.auton;

import org.usfirst.frc.team3501.robot.Constants;
import org.usfirst.frc.team3501.robot.commands.driving.DriveDistance;
import org.usfirst.frc.team3501.robot.commands.driving.DriveForTime;

import edu.wpi.first.wpilibj.command.CommandGroup;

/***
 * This command will drive the robot through the rough terrain.
 *
 * dependency on subsytems: drivetrain
 *
 * dependency on other commands: DriveForTime
 *
 * pre-condition: robot is flush against the ramp of the outerworks in front of
 * the rough terrain
 *
 * post-condition: the robot has passed the rough terrain and is in the next
 * zone
 *
 * @author Meryem and Avi
 *
 */
public class PassRoughTerrain extends CommandGroup {

  public PassRoughTerrain() {

    if (Constants.Auton.IS_USING_TIME) {
      addSequential(new DriveForTime(Constants.Auton.PASS_ROUGH_TERRAIN_TIME,
          Constants.Auton.PASS_ROUGH_TERRAIN_SPEED));
    }
    else {
      addSequential(new DriveDistance(
          Constants.Auton.PASS_ROUGH_TERRAIN_DIST,
          Constants.DriveTrain.PASS_DEFENSE_TIMEOUT));
    }

  }
}
