package org.usfirst.frc.team3501.robot.commands.intakearm;

import org.usfirst.frc.team3501.robot.Robot;

import edu.wpi.first.wpilibj.command.Command;

/***
 * This command will take a boulder into the robot if there is not a boulder
 * present inside already.
 *
 * pre-condition: Intake arm must be at correct height and a boulder is not
 * present inside the robot.
 *
 * post-condition: A boulder is taken in from the field outside of the robot
 * into the robot.
 *
 * @author Lauren and Niyati
 *
 */

public class IntakeBall extends Command {
  private final int TIMEOUT_AMOUNT = 5;

  public IntakeBall() {
    requires(Robot.intakeArm);
  }

  @Override
  protected void initialize() {
    this.setTimeout(TIMEOUT_AMOUNT);
    if (!Robot.shooter.isBallInside())
      Robot.intakeArm.intakeBall();

  }

  @Override
  protected void execute() {

  }

  @Override
  protected boolean isFinished() {
    return (this.isTimedOut() || Robot.shooter.isBallInside());
  }

  @Override
  protected void end() {
    Robot.intakeArm.stopRollers();

  }

  @Override
  protected void interrupted() {

  }

}
