package org.usfirst.frc.team3501.robot.commands.intakearm;

import org.usfirst.frc.team3501.robot.Constants.IntakeArm;
import org.usfirst.frc.team3501.robot.Robot;

import edu.wpi.first.wpilibj.command.CommandGroup;

/**
 * This command group will move the arm to the specified level. Levels
 * correspond to the angles stored in the potAngles array list saved in the
 * IntakeArm subsystem. (starting from level 0)
 *
 * pre-condition: level >= 0 && level < potAngles.length
 *
 * post-condition: arm has moved to specified level
 *
 * @author Meryem
 */
public class MoveIntakeArmToLevel extends CommandGroup {

  public MoveIntakeArmToLevel(int level) {
    requires(Robot.intakeArm);

    if (level < 0 || level >= Robot.intakeArm.potAngles.length)
      this.end();

    addSequential(new MoveIntakeArmToAngle(Robot.intakeArm.potAngles[level],
        IntakeArm.DEFAULT_INTAKE_ARM_SPEED));

  }
}
